classification
Title: Patch to rename HTMLParser module to lower_case
Type: Stage:
Components: 2to3 (2.x to 3.x conversion tool), Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: brett.cannon, collinwinter, dubois, orsenthil, paulsmith
Priority: normal Keywords: patch

Created on 2007-08-23 20:20 by paulsmith, last changed 2008-05-16 04:42 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
rename-html-parser.diff paulsmith, 2007-08-23 20:20
rename-html-parser-fix-imports.diff paulsmith, 2007-08-23 20:20
Messages (11)
msg55200 - (view) Author: Paul Smith (paulsmith) Date: 2007-08-23 20:20
HTMLParser is renamed to html_parser.
msg55202 - (view) Author: Paul Smith (paulsmith) Date: 2007-08-23 20:20
Patch to 2to3 fix_imports.
msg55216 - (view) Author: Paul Smith (paulsmith) Date: 2007-08-23 21:21
Note that patch doesn't include `svn mv Lib/HTMLParser.py
Lib/html_parser.py`.
msg55257 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2007-08-24 15:56
what is this and other series of patches you have submitted, paulsmith?
I fail to understand. Why is the need for changing Library? You are just
adding up SPAM here.
msg55258 - (view) Author: Paul Smith (paulsmith) Date: 2007-08-24 16:14
I am participating in the Python Sprint here at Google, and was just
going through the Py3k Sprint Tasks spreadsheet, one of them being to
rename standard library modules which use CamelCase to
lower_and_underscore, the more modern naming.
msg55259 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2007-08-24 16:34
But your "standalone diffs" will break things and dependencies with
other modules, so I was worried about them. Are you taking care of them all?
msg55266 - (view) Author: Paul Smith (paulsmith) Date: 2007-08-24 19:02
I grep'd for HTMLParser module imports in other standard library
modules, renamed, and ran the unit tests. I also updated the mapping in
2to3's fix_imports.py. The only thing I can't do is the actual `svn mv`
to rename the module itself.

Is part of the problem that this issue was initially flagged as Python
2.6? It's supposed to be 3.0, but that flag wasn't available yesterday
when I opened it.
msg55495 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-08-30 17:54
orsenthil: that this will break external modules is completely
acceptable. Those modules won't work out-of-the-box with Python 3
anyway, and hopefully Paul's patch to 2to3 will alleviate some of the
burden.
msg56122 - (view) Author: Paul F. Dubois (dubois) (Python triager) Date: 2007-09-24 18:10
Hoping I have learned to spell, another test.
msg66797 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-13 19:27
Do note that HTMLParse is slated to become html.parser in 3.0, so these 
patches are out-of-date. They can be used, though, to possibly help all 
references to HTMLParser (although 2to3 should handle that).
msg66896 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:42
Closing as out of date to try to make the number of PEP 3108 issues more 
manageable. HTMLParser is becoming html.parser in 3.0.
History
Date User Action Args
2008-05-16 05:17:13brett.cannonunlinkissue2775 dependencies
2008-05-16 04:42:28brett.cannonsetstatus: open -> closed
resolution: out of date
messages: + msg66896
2008-05-13 19:27:23brett.cannonsetnosy: + brett.cannon
messages: + msg66797
2008-05-13 19:23:58georg.brandllinkissue2775 dependencies
2007-09-24 18:10:27duboissetassignee: collinwinter
messages: + msg56122
2007-09-24 17:49:13duboissetmessages: - msg56117
2007-09-24 17:49:05duboissetmessages: - msg56116
2007-09-24 17:48:22duboissetmessages: + msg56117
2007-09-24 17:32:42duboissetnosy: + dubois
messages: + msg56116
2007-09-17 08:31:40jafosetpriority: normal
2007-09-06 18:01:39collinwintersetcomponents: + 2to3 (2.x to 3.x conversion tool)
2007-09-02 20:06:23loewissetkeywords: + patch
2007-08-30 17:54:45collinwintersetnosy: + collinwinter
messages: + msg55495
2007-08-24 19:02:52paulsmithsetmessages: + msg55266
versions: + Python 3.0, - Python 2.6
2007-08-24 16:34:48orsenthilsetmessages: + msg55259
2007-08-24 16:14:34paulsmithsetmessages: + msg55258
2007-08-24 15:56:20orsenthilsetnosy: + orsenthil
messages: + msg55257
2007-08-23 21:21:58paulsmithsetmessages: + msg55216
2007-08-23 20:20:43paulsmithsetfiles: + rename-html-parser-fix-imports.diff
messages: + msg55202
2007-08-23 20:20:17paulsmithcreate